﻿using System.ComponentModel.DataAnnotations;

namespace DataModel.Database;

public sealed class Setting
{
    [Key]
    public int Id { get; set; }

    public string Name { get; set; } = string.Empty;

    public string TextValue { get; set; } = string.Empty;

    public bool BoolValue { get; set; }

    public int IntegerValue { get; set; }

    public Guid GuidValue { get; set; }
}