﻿using System.ComponentModel.DataAnnotations;

namespace DataModel.Database;

public sealed class Section
{
    [Key]
    public int Id { get; set; }

    public string Name { get; set; } = string.Empty;

    public string DataKey { get; set; } = string.Empty;

    public int Depth { get; set; } = 0;
    
    public Section? Parent { get; set; }

    public List<TextElement> TextElements { get; set; } = new();
}