﻿using System.ComponentModel.DataAnnotations;

namespace DataModel.Database;

public sealed class TextElement
{
    [Key]
    public int Id { get; set; }

    public string Code { get; set; } = string.Empty;

    public Section Section { get; set; }

    public List<Translation> Translations { get; set; }
}